




using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 辨识对象
    /// </summary>
    [Description("辨识对象")]
    public class T_HM_EVALUATION_DETAIL_IDENTIFYING : MesEntityBase
    {
        /// <summary>
        /// 风险评价计划明细表ID
        /// </summary>
        [Description("风险评价计划明细表ID")]
        [DataFieldForeignKey("Nav_Detail", "Nav_Identifyings")]
        public Guid DETAIL_ID { get; set; }
        /// <summary>
        /// 导航属性：风险评价计划明细表
        /// </summary>
        [Description("导航属性：风险评价计划明细表")]
        public T_HM_EVALUATION_DETAIL Nav_Detail { get; set; }
        /// <summary>
        /// 辨识对象ID
        /// </summary>
        [Description("辨识对象ID")]
        [DataFieldForeignKey("Nav_Identifying")]
        [FormFieldEdit]
        public Guid IDENTIFYING_ID { get; set; }

        /// <summary>
        /// 导航属性：辨识对象
        /// </summary>
        [Description("导航属性：辨识对象")]
        public T_HM_IDENTIFYING Nav_Identifying { get; set; }
    }
}
